package de.intevation.gnv.state.describedata;

import org.apache.log4j.Logger;

/**
 * This implementation improves the <code>DefaultKeyValueDescribeData</code> and
 * establishes another field to store a further parameter.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ExtendedKeyValueData
extends      DefaultKeyValueDescribeData
{
    private static Logger logger = Logger.getLogger(ExtendedKeyValueData.class);

    /**
     * A further parameter to be stored at this object.
     */
    protected String parameter;

    /**
     * Default constructor to initialize new objects.
     *
     * @param key The key.
     * @param value The value.
     * @param state The state - null permitted.
     * @param parameter A further value.
     */
    public ExtendedKeyValueData(
        String key, String value, String state, String parameter)
    {
        super(key, value, state);
        this.parameter = parameter;
    }

    /**
     * Returns the parameter.
     *
     * @return the parameter.
     */
    public String getParameter() {
        return parameter;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
